Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.document.jdbc
Class FindDocumentsStatement

    java.lang.Object
      |
      +--com.bea.p13n.content.document.jdbc.CallableStatement
            |
            +--com.bea.p13n.content.document.jdbc.SearchStatement
                  |
                  +--com.bea.p13n.content.document.jdbc.FindDocumentsStatement

All Implemented Interfaces:
  CallableStatement, PreparedStatement, Statement

public class FindDocumentsStatement
extends SearchStatement

A callable statement which handles finding documents.

This expects InParam1 to be either a Search or a string query which can be converted to a Search. OutParam1 will be the DocumentIterator of DocumentDefs.

Field Summary

Fields inherited from class com.bea.p13n.content.document.jdbc.SearchStatement
`iterator, searchParameters`

Fields inherited from class com.bea.p13n.content.document.jdbc.CallableStatement
`connection`

Fields inherited from interface java.sql.Statement
`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

Constructor Summary
`FindDocumentsStatement(Connection con)` Deprecated. Constructor.

Method Summary
`protected DocumentIterator` | `createIterator(DocumentProvider provider, Search params)` Deprecated. This method is invoked to generate the DocumentIterator for this object.

Methods inherited from class com.bea.p13n.content.document.jdbc.SearchStatement
`clearParameters, close, closeIterator, execute, getObject, setObject, setString`

Methods inherited from class com.bea.p13n.content.document.jdbc.CallableStatement
`addBatch, addBatch, cancel, clearBatch, clearWarnings, execute, execute, execute, execute, executeBatch, executeQuery, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getArray, getArray, getBigDecimal, getBigDecimal, getBigDecimal, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getClob, getClob, getConnection, getDate, getDate, getDate, getDate, getDocumentProvider, getDouble, getDouble, getFetchDirection, getFetchSize, getFloat, getFloat, getGeneratedKeys, getInt, getInt, getLong, getLong, getMaxFieldSize, getMaxRows, getMetaData, getMoreResults, getMoreResults, getObject, getObject, getObject, getParameterMetaData, getQueryTimeout, getRef, getRef, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getShort, getShort, getString, getString, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getUpdateCount, getURL, getURL, getWarnings, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, setArray, setAsciiStream, setAsciiStream, setBigDecimal, setBigDecimal, setBinaryStream, setBinaryStream, setBlob, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setCharacterStream, setCharacterStream, setClob, setCursorName, setDate, setDate, setDate, setDate, setDouble, setDouble, setEscapeProcessing, setFetchDirection, setFetchSize, setFloat, setFloat, setInt, setInt, setLong, setLong, setMaxFieldSize, setMaxRows, setNull, setNull, setNull, setNull, setObject, setObject, setObject, setObject, setObject, setQueryTimeout, setRef, setShort, setShort, setString, setTime, setTime, setTime, setTime, setTimestamp, setTimestamp, setTimestamp, setTimestamp, setUnicodeStream, setURL, setURL, wasNull`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FindDocumentsStatement

    public FindDocumentsStatement(Connection con)

  Deprecated.
  Constructor.

Parameters:
  `con` - the connection that spawned us.

Method Detail

### createIterator

    protected DocumentIterator createIterator(DocumentProvider provider,
                                              Search params)
                                       throws DocumentException

  Deprecated.
  This method is invoked to generate the DocumentIterator for this object.

  Specified by:
    `createIterator` in class `SearchStatement`
  Parameters:
    `provider` - the DocumentProvider to use.
    `params` - the Search parameters passed into the statement.
  Returns:
    the DocumentIterator for the resulting search.
  Throws:
    `DocumentException` - thrown on an error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved